searchData={"items":[{"type":"module","title":"Cflat","doc":"Documentation for `Cflat` (C♭), a programming language with a striking resemblance to C# (without objects).\n\n**Note:** This is very early in the development.","ref":"Cflat.html"},{"type":"function","title":"Cflat.parse/1","doc":"Parse list of tokens into an abstract syntax tree.","ref":"Cflat.html#parse/1"},{"type":"function","title":"Examples - Cflat.parse/1","doc":"iex> \"int i = 42;\" |> Cflat.tokenize() |> Cflat.parse()\n    {:stmts, {{1, 1}, {1, 11}},\n     {:declassign, {{1, 1}, {1, 11}},\n      {:type, {{1, 1}, {1, 4}}, {:identifier, {{1, 1}, {1, 4}}, \"int\"}},\n      {:name, {{1, 5}, {1, 6}}, \"i\"}, {:number, {{1, 9}, {1, 11}}, 42}}, nil}","ref":"Cflat.html#parse/1-examples"},{"type":"function","title":"Cflat.tokenize/1","doc":"Perform lexical analysis on text in order to produce a list of tokens.","ref":"Cflat.html#tokenize/1"},{"type":"function","title":"Examples - Cflat.tokenize/1","doc":"iex> Cflat.tokenize(\"int i = 42;\")\n    [\n      {:identifier, {{1, 1}, {1, 4}}, \"int\"},\n      {:identifier, {{1, 5}, {1, 6}}, \"i\"},\n      {:=, {{1, 7}, {1, 8}}},\n      {:number, {{1, 9}, {1, 11}}, 42},\n      {:\";\", {{1, 11}, {1, 12}}}\n    ]","ref":"Cflat.html#tokenize/1-examples"},{"type":"module","title":"Cflat.Interpreter","doc":"This module implements an interpreter for syntax trees of code following the grammar of the C♭ programming langauge.","ref":"Cflat.Interpreter.html"},{"type":"function","title":"Cflat.Interpreter.evaluate/1","doc":"Evaluate program in syntax tree form","ref":"Cflat.Interpreter.html#evaluate/1"},{"type":"function","title":"Examples - Cflat.Interpreter.evaluate/1","doc":"iex> \"int i = 42;\" |> Cflat.tokenize() |> Cflat.parse() |> Cflat.Interpreter.evaluate()\n    %{\"i\" => 42}","ref":"Cflat.Interpreter.html#evaluate/1-examples"},{"type":"module","title":"Cflat.SyntaxTree","doc":"This module provides functionality for rendering of abstract syntax trees.","ref":"Cflat.SyntaxTree.html"},{"type":"function","title":"Cflat.SyntaxTree.as_mermaid/1","doc":"Produce [Mermaid](https://mermaid.js.org) code for illustrating syntax trees.","ref":"Cflat.SyntaxTree.html#as_mermaid/1"},{"type":"function","title":"Examples - Cflat.SyntaxTree.as_mermaid/1","doc":"iex> \"int i = 42;\" |> Cflat.tokenize() |> Cflat.parse() |> Cflat.SyntaxTree.as_mermaid()","ref":"Cflat.SyntaxTree.html#as_mermaid/1-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}